%if "x%{?python3_pkgversion}" == "x"
%global python3_pkgversion 3
%endif

Name:	nemea-framework
Version:	2.1.4
Release:	1
Summary:	NEMEA Framework containing base libraries for NEMEA system
URL: https://homeproj.cesnet.cz/rpm/liberouter/devel/
Source: nemea-framework-2.1.4.tar.gz
License:	BSD
Vendor: CESNET, z.s.p.o.
Packager: Tomas Cejka <cejkat@cesnet.cz>
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-XXXXXX)
BuildArch: noarch
Provides: nemea-framework
Requires: libtrap nemea-common python%{python3_pkgversion}-nemea-pytrap python%{python3_pkgversion}-nemea-pycommon

%prep
%setup

%build

%install
mkdir -p %{buildroot}/%{_docdir}/nemea/
cp -r examples %{buildroot}/%{_docdir}/nemea/
rm %{buildroot}/%{_docdir}/nemea/examples/Makefile.am
find %{buildroot} -name Makefile.in -exec rm {} +

%description
Package that simplifies installation of libtrap, nemea-common and examples.

%package devel
Summary: NEMEA Framework development package
Group: Liberouter
Requires: libtrap-devel nemea-common-devel unirec python%{python3_pkgversion}-nemea-pytrap python%{python3_pkgversion}-nemea-pycommon
Provides: nemea-framework-devel

%description devel
This package contains header files for libtrap library. Install this package
if you want to develop your own NEMEA module.
This package also installs example modules.


%files

%files devel
%{_docdir}/nemea/examples

